Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tapestry5.upload.services
Interface MultipartDecoder

All Known Implementing Classes:
  MultipartDecoderImpl

    public interface MultipartDecoder

Responsible for detecting and processing file upload requests, using Jakarta Commons FileUpload. Implementations of this service typically use the threaded service lifecycle model.

Method Summary
`javax.servlet.http.HttpServletRequest` | `decode(javax.servlet.http.HttpServletRequest request)` Decodes the request, returning a new `HttpServletRequest` implementation that will allow access to the form fields submitted in the request (but omits uploaded files).
`UploadedFile` | `getFileUpload(java.lang.String parameterName)`
`org.apache.commons.fileupload.FileUploadException` | `getUploadException()` Returns the exception the occured during the file upload, or null if the processing of the multipart upload stream was succesful.

Method Detail

### getFileUpload

    UploadedFile getFileUpload(java.lang.String parameterName)

  Parameters:
    `parameterName` - Name of the query parameter associated with the uploaded file
  Returns:
    a file upload with the given name, or null if no such file upload was in the request.

### decode

    javax.servlet.http.HttpServletRequest decode(javax.servlet.http.HttpServletRequest request)

  Decodes the request, returning a new `HttpServletRequest` implementation that will allow access to the form fields submitted in the request (but omits uploaded files).

  Parameters:
    `request` - The incoming servlet request
  Returns:
    decoded http request

### getUploadException

    org.apache.commons.fileupload.FileUploadException getUploadException()

  Returns the exception the occured during the file upload, or null if the processing of the multipart upload stream was succesful.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2012 The Apache Software Foundation.